# serial_transport_dummy.c File Reference

Mercury API - Sample serial transport that does nothing. More...

`#include "tm_reader.h"`

## Functions

TMR_Status | TMR_SR_SerialTransportNativeInit (TMR_SR_SerialTransport *transport, TMR_SR_SerialPortNativeContext *context, const char *device)

## Detailed Description

Mercury API - Sample serial transport that does nothing.

Author:
  Nathan Williams

Date:
  2/24/2010

## Function Documentation

TMR_Status TMR_SR_SerialTransportNativeInit | ( | TMR_SR_SerialTransport * | transport,
|  | TMR_SR_SerialPortNativeContext * | context,
|  | const char * | device |
| ) |  |  |

Initialize a TMR_SR_SerialTransport structure with a given serial device.

Parameters:

  | transport | The TMR_SR_SerialTransport structure to initialize.
  | context | A TMR_SR_SerialPortNativeContext structure for the callbacks to use.
  | device | The path or name of the serial device (`/dev/ttyS0`, `COM1`)